{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnome-weather/gnome-weather",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnome-weather_gnome-weather_h",
            "desc": "测试 gnome-weather 命令的 -h 参数，显示帮助选项"
        },
        {
            "name": "test_gnome-weather_gnome-weather_help_all",
            "desc": "测试 gnome-weather 命令的 --help-all 参数，显示所有帮助选项"
        },
        {
            "name": "test_gnome-weather_gnome-weather_help_gapplication",
            "desc": "测试 gnome-weather 命令的 --help-gapplication 参数，显示 GApplication 选项"
        },
        {
            "name": "test_gnome-weather_function_forecast",
            "desc": "测试 gnome-weather 的天气预报功能"
        },
        {
            "name": "test_gnome-weather_function_location",
            "desc": "测试 gnome-weather 的位置设置功能"
        },
        {
            "name": "test_gnome-weather_function_refresh",
            "desc": "测试 gnome-weather 的数据刷新功能"
        },
        {
            "name": "test_gnome-weather_function_ui",
            "desc": "测试 gnome-weather 的用户界面功能"
        }
    ]
}